
QGIS Application - Bug report #1070

Plugin Manager can't find plugin directory

2008-05-06 07:44 AM - tgwong -

Status: Closed

Priority: Low

Assignee: nobody -

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11130

Description

Used Plugin Installer to download a python plugin from repository into the QGIS-created directory. Plugin Manager then can't find that

directory. There seems to be an extra slash in the path...

Traceback (most recent call last):

 File "", line 3, in ?

 File "/Users/Ted/.qgis//python/plugins/geoprocessing/+init+.py", line 3, in ?

  from geoprocessing import Geoprocessing

[[ImportError]]: cannot import name Geoprocessing

History

#1 - 2008-05-08 02:08 PM - Martin Dobias

Does this happen with all plugins or with Geoprocessing plugin?

(the extra slash in the path shouldn't have any effect)

#2 - 2008-05-08 03:58 PM - tgwong -

Happens with any plugin in that directory.

#3 - 2008-11-11 09:37 PM - lhbecker -

This happens with both the [[GeoProcessing]], [[FindByAttr]] and [[SpatialOperations]] plugins on my Windows Machine with Windows version of 1.0.0

preview II. I also struggled with plugins on preview I but did not pay much attention to it at that time.

Below is typical error text from pop-up window:

Couldn't load plugin geoprocessing due an error when calling its classFactory() method

Traceback (most recent call last):

  File "", line 1, in 

  File "C:/Documents and Settings/louis.becker/.qgis//python/plugins\\geoprocessing\\+init+.py", line 15, in classFactory

    return Geoprocessing(iface)

  File "C:/Documents and Settings/louis.becker/.qgis//python/plugins\\geoprocessing\\geoprocessing.py", line 32, in init

    self.QgisVersion = str(QGis.qgisVersion)

[[AttributeError]]: qgisVersion
Python version:

2.5.2 (commit:c5cd2930 (SVN r253):60911, Feb 21 2008, 13:11:45) [MSC v.1310 32 bit (Intel)]

Python path:

['C:/Program Files/QGIS-Dev/./python', 'C:/Documents and Settings/louis.becker/.qgis//python/plugins', 'C:/Program Files/QGIS-Dev/./python/plugins',

'C:\\\\Program Files\\\\QGIS-Dev\\\\python25.zip', 'C:\\\\Python25\\\\Lib', 'C:\\\\Python25\\\\DLLs', 'C:\\\\Python25\\\\Lib\\\\lib-tk', 'C:\\\\Program

Files\\\\QGIS-Dev', 'C:\\\\Python25', 'C:\\\\Python25\\\\lib\\\\site-packages', '~/.qgis/python']

#4 - 2008-11-12 12:28 AM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

The original bug has been fixed already (python's module cache wasn't updated).

lhbecker: this is because those plugins have not been updated to recent changes in QGIS. These problems will go away in 1.0 that will check whether the

plugin is compatible or not.

#5 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
